Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161374 - last update batch caused Firefox 1.0.4 to not display any character
Summary: last update batch caused Firefox 1.0.4 to not display any character
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 18:39 UTC by Sylvain Rouillard
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-30 19:00:37 UTC


Attachments (Terms of Use)

Description Sylvain Rouillard 2005-06-22 18:39:42 UTC
Description of problem:
Right after todays (22/06/2005) yum update, firefox 1.0.4 stopped rendering the
letters of an HTML page. The letters of the menu (File, Edit... also vanished,
only letting the shortcut underscores apparent.

Deer Park is vaillantly coping, though it spits a couple of GDK warnings that it
didn't before:

(firefox-bin:2849): Gdk-WARNING **: gdk_property_get(): length value has wrapped
in calculation (did you pass G_MAXLONG?)

Version-Release number of selected component (if applicable):
# rpm -q gtk2
gtk2-2.7.0-1

How reproducible:
Rebooted, got the same

Steps to Reproduce:
1. Open firefox 1.0.4, see no text
2. Open Deer Park, see the error messages
  
Actual results:
See above

Expected results:
Working firefox (though Deer Park is technically working seemingly correctly, if
it wasn't for the error messages)

Additional info:
I'll try and provide more on request.

Comment 1 Sylvain Rouillard 2005-06-22 19:11:04 UTC
I forgot to mention that I'm using an FC4T2 that got updated daily, so the
culprit has to be among today's updated packages (which excludes Firefox).

Also, that's really only the characters that vanished, letting the rest
unchanged. It is like if every letter was given the background colour (though
the highlighting of the text with a mouse selection does not allow me to see the
text either).

Let me know if you need further information.

Comment 2 Demond James 2005-06-22 20:16:38 UTC
Firefox spits out this message:

(Gecko:20083): Pango-CRITICAL **: pango_cairo_show_glyph_string: assertion
`PANGO_IS_CAIRO_FONT (font)' failed

Disabling pango for firfox takes care of the prolem for now.


Comment 3 Sylvain Rouillard 2005-06-22 20:38:31 UTC
firefox said nothing to me... how can I disable pango?

Comment 4 Mickey Stein 2005-06-23 01:29:27 UTC
You should be able to disable pango by:

1) first copy /usr/bin/firefox to somewhere safe.
2) vi /usr/bin/firefox
3) somewhere after ### Variables, add in the following line:

export MOZ_DISABLE_PANGO=1

-- and save the file. Then try running FF again.

----

However, I ran firefox from the cmd line ($ /usr/local/bin/firefox ) and also
did not get any message. I rolled today's gtk2 update back to the last version
and all is well for the moment. 

(prior version : gtk2-2.6.7-4) -- I save these things for awhile but I'm sure
you can find it on a mirror that's not up to date.





  

Comment 5 Mickey Stein 2005-06-23 01:44:55 UTC
One more thing I noticed: 

I never had 'cairo' (a vector graphics lib) installed on my rawhide system. When
I  did a $yum update pango* today, yum pulled in cairo* as a dependency. 

It makes me wonder why I'm not seeing the message referred to in #3. 

One of the things I see now on the current pango if I do a $yum deplist pango,
is cairo.i386 0.5.1-2. 



Comment 6 Sylvain Rouillard 2005-06-24 12:35:45 UTC
Fixed with

# rpm -q firefox
firefox-1.0.4-5

ok to close as far as I'm concerned. Good job.

Comment 7 Mickey Stein 2005-06-24 16:22:55 UTC
Agree with Sy. 

I can see this now with ff*4-5:

pmap -x 7697(pid {firefox} | grep cair
b782a000     164       -       -       - r-x--  libcairo.so.1.0.0
b7853000       4       -       -       - rw---  libcairo.so.1.0.0
b7903000      24       -       -       - r-x--  libpangocairo-1.0.so.0.900.0
b7909000       4       -       -       - rw---  libpangocairo-1.0.so.0.900.0


-- 


Sometimes I build my own ff & tb from source and I noticed today that both of
those work fine with the new gtk2/cairo, so I guess it was just a case of a
rebuild. 



Comment 8 Matthias Clasen 2005-06-30 19:00:37 UTC
Should be fixed in Rawhide.

Comment 9 Brian Millett 2005-07-20 13:41:02 UTC
This has reappeared.  I am using FC4 with the latest updates.  Just updated the
firefox & thunderbird to the latest testing updates:
thunderbird-1.0.6-0.1.fc4
firefox-1.0.6-0.1.fc4

I had to edit both /usr/bin/firefox & /usr/bin/thunderbird and uncomment the 
MOZ_DISABLE_PANGO=1
export MOZ_DISABLE_PANGO

to get it to work.

Needes to be opened for FC4, not rawhide.


Note You need to log in before you can comment on or make changes to this bug.